Next: Refinement marker Up: Numerical Procedures Previous: Evaluation of numerical values Contents

## Error estimator

Keyword: `zzerrorestimator`

Performs a Zienkiewicz-Zhu type error estimator.

Example:

    numproc zzerrorestimator ee1 -bilinearform=a -solution=u -error=err

Averages the fluxes, and computes difference between averaged flux and original flux. Difference is added to element by element gridfunction error. Averaging is done sub-domain by sub-domain to avoid too strong refinement along material interfaces.

-bilinearform=<name> | first integrator of bilinear-form defines flux
-solution=<name> | gridfunction containing solution
-error=<name> | element-by-element, order 0 gridfunction containing element contributions of error